package com.ruoyi.jjh.declaration.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.jjh.common.entity.BaseInfoEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 资金信息详情对象 bms_funding_detail
 *
 * @author farben
 * @date 2023-09-04
 */
public class BmsFundingDetail extends BaseInfoEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 模板类型：1：项目落户奖补，2：做大做强奖补
     */
    @Excel(name = "模板类型：1：项目落户奖补，2：做大做强奖补")
    private Integer type;

    /**
     * 对应模板id
     */
    @Excel(name = "对应模板id")
    private int templateRecordId;

    /**
     * 详情id
     */
    @Excel(name = "详情id")
    private Long detailId;

    private String vModel;

    /**
     * 年份
     */
    @Excel(name = "年份")
    private String year;

    /**
     * 说明
     */
    @Excel(name = "说明")
    private String illustrate;

    /**
     * 金额
     */
    @Excel(name = "金额")
    private Long amount;

    /**
     * 是否删除：0，未删除；1，已删除
     */
    @Excel(name = "是否删除：0，未删除；1，已删除")
    private Long isDeleted;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public int getTemplateRecordId() {
        return templateRecordId;
    }

    public void setTemplateRecordId(int templateRecordId) {
        this.templateRecordId = templateRecordId;
    }

    public Long getDetailId() {
        return detailId;
    }

    public void setDetailId(Long detailId) {
        this.detailId = detailId;
    }

    public String getVModel() {
        return vModel;
    }

    public void setVModel(String vModel) {
        this.vModel = vModel;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public String getIllustrate() {
        return illustrate;
    }

    public void setIllustrate(String illustrate) {
        this.illustrate = illustrate;
    }

    public Long getAmount() {
        return amount;
    }

    public void setAmount(Long amount) {
        this.amount = amount;
    }

    public Long getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(Long isDeleted) {
        this.isDeleted = isDeleted;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId()).append("type", getType()).append("templateRecordId", getTemplateRecordId()).append("detailId", getDetailId()).append("vModel", getVModel()).append("year", getYear()).append("illustrate", getIllustrate()).append("amount", getAmount()).append("isDeleted", getIsDeleted()).append("createBy", getCreateBy()).append("createTime", getCreateTime()).append("updateBy", getUpdateBy()).append("updateTime", getUpdateTime()).append("remark", getRemark()).toString();
    }
}
